Name:       perl-rpm-build-perl 
Version:    0.74
Release:    1%{?dist}
# see lib/B/PerlReq.pm, among others
License:    GPLv2+
Group:      Development/Libraries
Summary:    Perl compiler backend to extract Perl dependencies 
Source:     http://search.cpan.org/CPAN/authors/id/A/AT/ATOURBIN/rpm-build-perl-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/rpm-build-perl
Patch0:     tests5.14.patch
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(B)
BuildRequires: perl(Encode)
BuildRequires: perl(O)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More)

%description
B::PerlReq is a backend module for the Perl compiler that extracts
dependencies from Perl source code, based on the internal compiled
structure that Perl itself creates after parsing a program. The output of
B::PerlReq is suitable for automatic dependency tracking (e.g. for RPM
packaging).

%package scripts
Summary:    Perl RPM prov/req scripts
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description scripts
The provides/requires scripts packaged along with perl-rpm-build-perl.

%prep
%setup -q -n rpm-build-perl-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test


%files
%doc README* Changes perl5-alt-rpm-macros macros.env
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files scripts
%defattr(-,root,root,-)
%doc perl5-alt-rpm-macros macros.env
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.74-1
- update to 0.74, clean spec, fix tests for 5.14.1

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.72-4
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.72-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.72-1
- Mass rebuild with perl-5.12.0 & update

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.6.8-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.6.8-1
- update for submission
- split scripts off into their own package

* Tue Nov 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.6.8-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)
